## udev_list udev_list — list operation |

## Functions

struct udev_list_entry * | udev_list_entry_get_next ()
struct udev_list_entry * | udev_list_entry_get_by_name ()
const char * | udev_list_entry_get_name ()
const char * | udev_list_entry_get_value ()
#define | udev_list_entry_foreach()

## Types and Values

struct | udev_list_entry

## Description

Libudev list operations.

## Functions

### udev_list_entry_get_next ()

    struct udev_list_entry *
    udev_list_entry_get_next (struct udev_list_entry *list_entry);

Get the next entry from the list.

#### Parameters

list_entry | current entry |

#### Returns

udev_list_entry, NULL if no more entries are available.

### udev_list_entry_get_by_name ()

    struct udev_list_entry *
    udev_list_entry_get_by_name (struct udev_list_entry *list_entry,
                                 const char *name);

Lookup an entry in the list with a certain name.

#### Parameters

list_entry | current entry |
name | name string to match |

#### Returns

udev_list_entry, NULL if no matching entry is found.

### udev_list_entry_get_name ()

    const char *
    udev_list_entry_get_name (struct udev_list_entry *list_entry);

Get the name of a list entry.

#### Parameters

list_entry | current entry |

#### Returns

the name string of this entry.

### udev_list_entry_get_value ()

    const char *
    udev_list_entry_get_value (struct udev_list_entry *list_entry);

Get the value of list entry.

#### Parameters

list_entry | current entry |

#### Returns

the value string of this entry.

### udev_list_entry_foreach()

    #define             udev_list_entry_foreach(list_entry, first_entry)

Helper to iterate over all entries of a list.

#### Parameters

list_entry | entry to store the current position |
first_entry | first entry to start with |

## Types and Values

### struct udev_list_entry

    struct udev_list_entry;

Opaque object representing one entry in a list. An entry contains contains a name, and optionally a value.